centos7 安装apache 报错pcre-config找不到

在安装完apr apr-util pcre依赖包后再进行安装httpd。最后报错信息为:configure: error: Did not find pcre-config script at /usr/local/pcre-8.31/

确实也没有 pcre-config 这个文件。求教,怎么解决这个问题

1个回答

没有apr和pcre的包,下载apr-1.4.2.tar.gz并执行编译安装
tar -zxvf apr-1.4.2.tar.gz
cd apr-1.4.2
./configure
make install
下载并编译安装apr-util-1.3.10
tar -zxvf apr-util-1.3.10.tar.gz
cd apr-util-1.3.10
./configure -with-apr=/usr/local/apr
make install
pcre的编译安装
tar -zxvf pcre-8.10.tar.gz
cd pcre-8.10
./configure
make install

qq_31711795
qq_31711795 感谢你的意见,我在最后才是采用了yum形式安装,安装成功,之后测试了这种源码安装也成功了。
大约 4 年之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问